#include "./profinet/profinet_cb_release_ind.hpp"
#include "./profinet/profinet.hpp"
#include <iostream>

using namespace std;

int profinet_cb_release_ind( pnet_t * net,
                             void * arg,
                             uint32_t arep,
                             pnet_result_t * p_result)
{
    Profinet * const profinet_ptr = static_cast<Profinet*>(arg);

    return profinet_ptr->callbackReleaseInd(arep, p_result);
}